default['redis-omnibus']['version'] = {
  'major' => 3,
  'minor' => 2,
  'patch' => 11,
}
default['redis-omnibus']['package'] = 'redis32u'

# default redis-server install
default['redis-omnibus']['servers'] = {
  'redis' => {
    'port' => 6379,
  },
}

default['redis-omnibus']['default_settings'] = {
  'user'                    => 'redis',
  'group'                   => 'redis',
  'homedir'                 => '/var/lib/redis',
  'piddir'                  => '/var/run/redis',
  'shell'                   => '/usr/bin/',
  'systemuser'              => true,
  'uid'                     => nil,
  'ulimit'                  => 0,
  'configdir'               => '/etc/redis',
  'name'                    => nil,
  'tcpbacklog'              => '511',
  'address'                 => nil,
  'databases'               => '16',
  'backuptype'              => 'rdb',
  'datadir'                 => '/var/lib/redis',
  'unixsocket'              => nil,
  'unixsocketperm'          => nil,
  'timeout'                 => '0',
  'keepalive'               => '0',
  'loglevel'                => 'notice',
  'logfile'                 => nil,
  'syslogenabled'           => 'yes',
  'syslogfacility'          => 'local0',
  'shutdown_save'           => false,
  'save'                    => nil, # Defaults to ['900 1','300 10','60 10000'] inside of template.  Needed due to lack of hash subtraction
  'stopwritesonbgsaveerror' => 'yes',
  'rdbcompression'          => 'yes',
  'rdbchecksum'             => 'yes',
  'dbfilename'              => nil,
  'slaveof'                 => nil,
  'protected_mode'          => nil, # unspecified by default but could be set explicitly to 'yes' or 'no'
  'masterauth'              => nil,
  'slaveservestaledata'     => 'yes',
  'slavereadonly'           => 'yes',
  'repldisklesssync'        => 'no',
  'repldisklesssyncdelay'   => '5',
  'replpingslaveperiod'     => '10',
  'repltimeout'             => '60',
  'repldisabletcpnodelay'   => 'no',
  'replbacklogsize'         => '1mb',
  'replbacklogttl'          => 3600,
  'slavepriority'           => '100',
  'requirepass'             => nil,
  'rename_commands'         => nil,
  'maxclients'              => 10000,
  'maxmemory'               => nil,
  'maxmemorypolicy'         => nil,
  'maxmemorysamples'        => nil,
  'appendfilename'          => nil,
  'appendfsync'             => 'everysec',
  'noappendfsynconrewrite'  => 'no',
  'aofrewritepercentage'    => '100',
  'aofrewriteminsize'       => '64mb',
  'aofloadtruncated'        => 'yes',
  'luatimelimit'            => '5000',
  'slowloglogslowerthan'    => '10000',
  'slowlogmaxlen'           => '1024',
  'notifykeyspaceevents'    => '',
  'hashmaxziplistentries'   => '512',
  'hashmaxziplistvalue'     => '64',
  'listmaxziplistentries'   => '512',
  'listmaxziplistvalue'     => '64',
  'setmaxintsetentries'     => '512',
  'zsetmaxziplistentries'   => '128',
  'zsetmaxziplistvalue'     => '64',
  'hllsparsemaxbytes'       => '3000',
  'activerehasing'          => 'yes',
  'clientoutputbufferlimit' => [
    %w(normal 0 0 0),
    %w(slave 256mb 64mb 60),
    %w(pubsub 32mb 8mb 60)
  ],
  'hz'                         => '10',
  'aofrewriteincrementalfsync' => 'yes',
  'clusterenabled'            => 'no',
  'clusterconfigfile'        => nil, # Defaults to redis instance name inside of template if cluster is enabled.
  'clusternodetimeout'       => 5000,
  'includes'                 => nil,
  'data_bag_name'            => nil,
  'data_bag_item'            => nil,
  'data_bag_key'             => nil,
  'minslavestowrite'         => nil,
  'minslavesmaxlag'          => nil,
  'breadcrumb'               => true
}
